<?php

namespace forge12\woocommerce\free\accessories {

    /**
     * Class UIDashboard
     */
    class UIDashboard
    {
        /**
         * @var UI
         */
        private $UI;
        /**
         * @var string
         */
        private $domain;

        public function __construct($UI, $domain)
        {
            $this->UI = $UI;
            $this->domain = $domain;

            $UI->addPage(
                'dashboard',
                __('Dashboard', $domain),
                '',
                array($this, 'renderContent'),
                array($this, 'renderSidebar')
            );
        }

        /**
         * Render the content
         * @param $slug
         * @param $page
         */
        public function renderContent($slug, $page)
        {
            // Check if page is dashboard
            if (!empty($page)) {
                return;
            }

            echo Messages::getInstance()->getAll();
            ?>
            <div class="box">
                <h1><?php _e('Forge12 Accessories', 'f12-woo-accessories'); ?></h1>

                <p>
                    <?php _e('This Plugin allows you to add accessories for your products. You can add them via the product edit page or globally for product categories.') ?>
                </p>
            </div>
            <?php
        }

        /**
         * Render the sidebar
         * @param $slug
         * @param $page
         */
        public function renderSidebar($slug, $page)
        {
            if (!empty($page)) {
                return;
            }
        }
    }
}