<?php

namespace forge12\woocommerce\free\accessories {
    if ( ! defined( 'ABSPATH' ) ) {
        exit;
    }
    class UIMenu
    {
        /**
         * @var string
         */
        private $slug = '';

        /**
         * @var array
         */
        private $pages = array();

        /**
         * UI constructor.
         * @param $slug
         */
        public function __construct($slug)
        {
            $this->slug = $slug;
        }

        public function add($slug, $title, $class, $callback, $sidebar)
        {
            if($slug == 'dashboard'){
                $slug = $this->slug;
            }else{
                $slug = $this->slug.'_'.$slug;
            }

            $this->pages[$slug] = array(
                'slug' => $slug,
                'title' => $title,
                'class' => $class,
                'callback' => $callback,
                'sidebar' => $sidebar
            );
        }

        /**
         * @return array
         */
        public function getPages()
        {
            return $this->pages;
        }

        /**
         * @param $slug
         */
        public function renderContent($slug)
        {
            if (isset($this->pages[$slug]) && isset($this->pages[$slug]['callback']) && null != $this->pages[$slug]['callback']) {
                call_user_func($this->pages[$slug]['callback']);
            }
        }

        public function render()
        {
            $activePage = sanitize_text_field($_GET['page']);

            ?>
            <nav class="navbar">
                <ul class="navbar-nav">
                    <?php do_action('before-forge12-plugin-menu-' . $this->slug); ?>
                    <?php foreach ($this->pages as $page): ?>
                        <li class="forge12-plugin-menu-item">
                            <?php
                            if ($page['slug'] == $activePage || $page['slug'] == $activePage.'_dashboard') {
                                $page['class'] = 'active';
                            }
                            ?>
                            <a href="<?php echo esc_url(admin_url('admin.php')); ?>?page=<?php esc_attr_e($page['slug']); ?>"
                               title="<?php esc_attr_e($page['title']); ?>"
                               class="<?php esc_attr_e($page['class']); ?>">
                                <?php esc_html_e($page['title']); ?>
                            </a>
                        </li>
                    <?php endforeach; ?>
                    <?php do_action('after-forge12-plugin-menu-' . $this->slug); ?>
                </ul>
            </nav>
            <?php
        }
    }
}