<?php

namespace forge12\woocommerce\free\accessories {

    /**
     * Class UIDashboard
     */
    class UIProVersion
    {
        /**
         * @var UI
         */
        private $UI;
        /**
         * @var string
         */
        private $domain;

        public function __construct($UI, $domain)
        {
            $this->UI = $UI;
            $this->domain = $domain;

            $UI->addPage(
                'pro_version',
                __('Pro Version', $domain),
                '',
                array($this, 'renderContent'),
                array($this, 'renderSidebar')
            );
        }

        /**
         * Render the content
         * @param $slug
         * @param $page
         */
        public function renderContent($slug, $page)
        {
            // Check if page is dashboard
            if ($page != "pro_version") {
                return;
            }

            ?>
            <div class="box">
                <h1><?php _e('Pro Version', 'f12-woo-accessories'); ?></h1>
                <img src="<?php echo esc_url(plugin_dir_url(__FILE__).'assets/proversion.jpg');?>" />
            </div>
            <?php
        }

        /**
         * Render the sidebar
         * @param $slug
         * @param $page
         */
        public function renderSidebar($slug, $page)
        {
            if ($page != "pro_version") {
                return;
            }

            ?>
            <div class="box">
                <h2>
                    <?php _e('Upgrade now:', 'f12-woo-accessories'); ?>
                </h2>
                <p>
                    <?php _e('Features:', 'f12-woo-accessories'); ?>
                </p>
                <ul style="list-style:square; margin-left:20px;">
                    <li>
                        <?php _e('Mandatory Products', 'f12-woo-accessories'); ?>
                    </li>
                    <li>
                        <?php _e('Automatic price calculation', 'f12-woo-accessories'); ?>
                    </li>
                    <li>
                        <?php _e('Refresh cart automatically', 'f12-woo-accessories'); ?>
                    </li>
                    <li>
                        <?php _e('Lock accessories in cart', 'f12-woo-accessories'); ?>
                    </li>
                    <li>
                        <?php _e('Additional hints and tips for mandatory accessories.', 'f12-woo-accessories'); ?>
                    </li>
                </ul>
                <p>
                    <a href="https://www.forge12.com/en/produkt/woocommerce-product-accessories/" target="_blank"
                       rel="noopener noreferrer" class="button"><?php _e('Buy Now', 'f12-woo-accessories'); ?></a>
                </p>
            </div>
            <?php
        }
    }
}